<div class="container-fluid mb-5">
  <div class="container">
    <form [formGroup]="form">
      <div>
        <label for="todoInput">Type Todo</label>
        <input
          autocomplete="off"
          type="text"
          id="todoInput"
          class="form-control"
          name="todoInput"
          formControlName="todoData"
        />
        <p
          class="error-message"
          *ngIf="form.get('todoData')?.invalid && form.get('todoData')?.touched"
        >
          Enter Valid Input
        </p>
      </div>
      <button
        class="btn btn-primary"
        type="button"
        [disabled]="!form.valid"
        (click)="formSubmit()"
        *ngIf="!updateTodo"
      >
        Add Todo
      </button>
      <button
        class="btn btn-primary"
        type="button "
        [disabled]="!form.valid"
        (click)="updateForm()"
        *ngIf="updateTodo"
      >
        Update Todo
      </button>
    </form>
  </div>
</div>
